API Referenceapipatient-graphPOST /v1/patients/{patient_id}/medications/check-interactions

POST /v1/patients/\{patient_id\}/medications/check-interactions

Service: patient-graph · operationId: (none)

Required scopes

(no scope declared — review service config)

Path parameters

  • patient_id (string) required

Request body

{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    }
  },
  "required": [
    "name"
  ]
}

Responses

200 Interaction check result

{
  "type": "object",
  "properties": {
    "warnings": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "existing_medication": {
            "type": "string"
          },
          "new_medication": {
            "type": "string"
          },
          "severity": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "existing_medication",
          "new_medication",
          "severity",
          "description"
        ]
      }
    }
  },
  "required": [
    "warnings"
  ]
}

404 Patient not found

{
  "type": "object",
  "properties": {
    "error": {
      "type": "string"
    },
    "message": {
      "type": "string"
    }
  },
  "required": [
    "error",
    "message"
  ]
}

Example

curl -X POST https://patient-graph.platform.loop.health/v1/patients/{patient_id}/medications/check-interactions \
  -H "Authorization: Bearer $ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ ... }'